com.tibbo.aggregate.common.dao

## Interface StorageImplementation

-     public interface StorageImplementation

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataTable` | `close(Context storageContext, CallerController caller, DataTable parameters)`
    `DataTable` | `columns(Context storageContext, CallerController caller, DataTable parameters)`
    `StorageSession` | `createViewSession(long sessionTimeout)`
    `DataTable` | `delete(Context storageContext, CallerController caller, DataTable parameters)`
    `DataTable` | `filter(Context storageContext, CallerController caller, DataTable parameters)`
    `DataTable` | `get(Context storageContext, CallerController caller, DataTable parameters)`
    `DaoFactory` | `getDaoFactory()`
    `DataTable` | `getFormat(Context storageContext, CallerController caller, DataTable parameters)`
    `DataTable` | `insert(Context storageContext, CallerController caller, DataTable parameters)`
    `boolean` | `isTableAllowed(java.lang.String value)`
    `DataTable` | `linkedInstancesFilter(Context storageContext, CallerController caller, DataTable parameters)`
    `DataTable` | `linkInstances(Context storageContext, CallerController caller, DataTable parameters)`
    `DataTable` | `open(Context storageContext, CallerController caller, DataTable parameters)`
    `DataTable` | `operations(Context storageContext, CallerController caller, DataTable parameters)`
    `DataTable` | `sorting(Context storageContext, CallerController caller, DataTable parameters)`
    `DataTable` | `tables(Context storageContext, CallerController caller, DataTable parameters)`
    `DataTable` | `unlinkInstances(Context storageContext, CallerController caller, DataTable parameters)`
    `DataTable` | `update(Context storageContext, CallerController caller, DataTable parameters)`

- - ### Method Detail

    - #### open

          DataTable open(Context storageContext,
                         CallerController caller,
                         DataTable parameters)
                  throws StorageException

      Throws:
        `StorageException`

    - #### close

          DataTable close(Context storageContext,
                          CallerController caller,
                          DataTable parameters)
                   throws StorageException

      Throws:
        `StorageException`

    - #### get

          DataTable get(Context storageContext,
                        CallerController caller,
                        DataTable parameters)
                 throws StorageException

      Throws:
        `StorageException`

    - #### update

          DataTable update(Context storageContext,
                           CallerController caller,
                           DataTable parameters)
                    throws StorageException

      Throws:
        `StorageException`

    - #### delete

          DataTable delete(Context storageContext,
                           CallerController caller,
                           DataTable parameters)
                    throws StorageException

      Throws:
        `StorageException`

    - #### insert

          DataTable insert(Context storageContext,
                           CallerController caller,
                           DataTable parameters)
                    throws StorageException

      Throws:
        `StorageException`

    - #### tables

          DataTable tables(Context storageContext,
                           CallerController caller,
                           DataTable parameters)
                    throws StorageException

      Throws:
        `StorageException`

    - #### columns

          DataTable columns(Context storageContext,
                            CallerController caller,
                            DataTable parameters)
                     throws StorageException

      Throws:
        `StorageException`

    - #### filter

          DataTable filter(Context storageContext,
                           CallerController caller,
                           DataTable parameters)
                    throws StorageException

      Throws:
        `StorageException`

    - #### sorting

          DataTable sorting(Context storageContext,
                            CallerController caller,
                            DataTable parameters)
                     throws StorageException

      Throws:
        `StorageException`

    - #### operations

          DataTable operations(Context storageContext,
                               CallerController caller,
                               DataTable parameters)
                        throws StorageException

      Throws:
        `StorageException`

    - #### linkInstances

          DataTable linkInstances(Context storageContext,
                                  CallerController caller,
                                  DataTable parameters)
                           throws StorageException

      Throws:
        `StorageException`

    - #### unlinkInstances

          DataTable unlinkInstances(Context storageContext,
                                    CallerController caller,
                                    DataTable parameters)
                             throws StorageException

      Throws:
        `StorageException`

    - #### linkedInstancesFilter

          DataTable linkedInstancesFilter(Context storageContext,
                                          CallerController caller,
                                          DataTable parameters)
                                   throws StorageException

      Throws:
        `StorageException`

    - #### getFormat

          DataTable getFormat(Context storageContext,
                              CallerController caller,
                              DataTable parameters)
                       throws StorageException

      Throws:
        `StorageException`

    - #### createViewSession

          StorageSession createViewSession(long sessionTimeout)
                                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getDaoFactory

          DaoFactory getDaoFactory()

    - #### isTableAllowed

          boolean isTableAllowed(java.lang.String value)